package com.ruoyi.common.pay.wx.domain;

import com.ruoyi.common.pay.wx.domain.enums.TransferScene;

import java.math.BigDecimal;

/**
 * 可批量转账的接口
 * @author wjh
 * 2024/8/9
 */
public interface BatchTransferAble {

    /**
     * 转账场景
     */
    TransferScene transferScene();

    /**
     * 转账到账账号
     */
    String transferAccountNo();

    /**
     * 转账金额
     */
    BigDecimal transferAmount();

    /**
     * 转账外部订单号
     */
    String transferOutBatchNo();

    /**
     * 转账备注
     */
    String transferBatchRemark();

    /**
     * 转账名称
     */
    String transferBatchName();

}
